25003: The provided user's last name is invalid
ERROR
This error occurs when you create or update an organization-managed user through the SCIM API and the value in name.familyName is not accepted. Twilio creates users with the SCIM core user schema, and name.familyName is a supported field for both PUT and PATCH updates.
- Your
POST /scim/v2/Usersrequest includes an invalid value inname.familyName. - Your
PUT /scim/v2/Users/{id}request replaces the user record and includes an invalid value forname.familyName. - Your
PATCH /scim/v2/Users/{id}request usespath: "name.familyName"and supplies an invalid replacement value.
- Validate the value you send in
name.familyNamebefore submitting the request. If you are creating a user, format the request body as a valid SCIM core user object. - If you are updating an existing user, change the last name only through the supported SCIM field
name.familyNamein aPUTorPATCHrequest. - If you do not need to set a last name during user creation, omit the optional
nameobject and send the required fields only, which areuserNameandemails.